## CamelStreamVFS

CamelStreamVFS

## Synopsis

                        CamelStreamVFS;
    enum                CamelStreamVFSOpenMethod;
    CamelStream*        camel_stream_vfs_new_with_uri       (const char *uri,
                                                             CamelStreamVFSOpenMethod method);
    CamelStream*        camel_stream_vfs_new_with_stream    (GObject *stream);
    gboolean            camel_stream_vfs_is_writable        (CamelStreamVFS *stream_vfs);

## Description

## Details

### CamelStreamVFS

    typedef struct {
    	CamelStream parent_object;

    	GObject *stream;
    } CamelStreamVFS;

### enum CamelStreamVFSOpenMethod

    typedef enum {
    	CAMEL_STREAM_VFS_CREATE,	/* writable, creates new file or replaces old file */
    	CAMEL_STREAM_VFS_APPEND,	/* writable, creates new file or appends at the end of the old file */
    	CAMEL_STREAM_VFS_READ		/* readable, opens existing file for reading */
    } CamelStreamVFSOpenMethod;

### camel_stream_vfs_new_with_uri ()

    CamelStream*        camel_stream_vfs_new_with_uri       (const char *uri,
                                                             CamelStreamVFSOpenMethod method);

`uri` : |
`method` : |
Returns : |

### camel_stream_vfs_new_with_stream ()

    CamelStream*        camel_stream_vfs_new_with_stream    (GObject *stream);

`stream` : |
Returns : |

### camel_stream_vfs_is_writable ()

    gboolean            camel_stream_vfs_is_writable        (CamelStreamVFS *stream_vfs);

`stream_vfs` : |
Returns : |